Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.nat.rendezvous
Class RendezvousJoinRequest

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.join.JoinRequest
                  rice.pastry.socket.nat.rendezvous.RendezvousJoinRequest

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage, RawSerializable

    public class RendezvousJoinRequest

extends JoinRequest

Includes the bootstrap (or some other node who will have a pilot from the joiner.)

Author:
  Jeff Hoye
See Also:
  Serialized Form

Field Summary
`protected NodeHandle` | `pilot` The joiner has created a pilot connection to the pilot node.
`static short` | `TYPE`

Fields inherited from class rice.pastry.join.JoinRequest
`handle, HAS_HANDLE, HAS_JOIN_HANDLE, HAS_LEAFSET, joinHandle, timestamp`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`RendezvousJoinRequest(InputBuffer buf, NodeHandleFactory nhf, NodeHandle sender, PastryNode localNode)`
`RendezvousJoinRequest(NodeHandle nh, byte rtBaseBitLength, long timestamp, NodeHandle pilot)`

Method Summary
`NodeHandle` | `getPilot()`
`short` | `getType()` Raw Serialization
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.pastry.join.JoinRequest
`accepted, acceptJoin, getHandle, getJoinHandle, getLeafSet, getRow, lastRow, numRows, pushRow`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### pilot

    protected NodeHandle pilot

  The joiner has created a pilot connection to the pilot node.

Constructor Detail

### RendezvousJoinRequest

    public RendezvousJoinRequest(NodeHandle nh,
                                 byte rtBaseBitLength,
                                 long timestamp,
                                 NodeHandle pilot)

### RendezvousJoinRequest

    public RendezvousJoinRequest(InputBuffer buf,
                                 NodeHandleFactory nhf,
                                 NodeHandle sender,
                                 PastryNode localNode)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `JoinRequest`

### getType

    public short getType()

  Raw Serialization

  Specified by:
    `getType` in interface `RawMessage`
  Overrides:
    `getType` in class `JoinRequest`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawSerializable`
  Overrides:
    `serialize` in class `JoinRequest`
  Throws:
    `java.io.IOException`

### getPilot

    public NodeHandle getPilot()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.